Delete Droplet

Delete Droplet
Delete a droplet

Delete a droplet.

Request
URI
DELETE
https://api.example.local/v3/droplets/{guid}
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns Job of type(s) application/json
This response body class contains all of the following: BaseSchema
{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "operation": "string",
    "state": "string",
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ],
    "warnings": [
        {
            "detail": "string"
        }
    ],
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "manifest": {
            "href": "string",
            "method": "string"
        },
        "service_brokers": {
            "href": "string",
            "method": "string"
        },
        "service_credential_binding": {
            "href": "string",
            "method": "string"
        },
        "service_instances": {
            "href": "string",
            "method": "string"
        },
        "service_route_bindings": {
            "href": "string",
            "method": "string"
        }
    }
}

Response Headers

string
Location

URL of the job that is deleting the droplet


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/v3/droplets/{guid}